com.amazonaws.codegen.customization

## Class CodegenCustomizationProcessorChain

- java.lang.Object
- - com.amazonaws.codegen.customization.CodegenCustomizationProcessorChain

All Implemented Interfaces:
  CodegenCustomizationProcessor

    public final class CodegenCustomizationProcessorChain
    extends Object
    implements CodegenCustomizationProcessor

### Constructor Summary

Constructors
Constructor and Description
`CodegenCustomizationProcessorChain(CodegenCustomizationProcessor... processors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `postprocess(IntermediateModel intermediateModel)` Apply the customization after the intermediate model is built
`void` `preprocess(ServiceModel serviceModel)` Apply the customization by directly modifying the service model, before the intermediate model is built.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodegenCustomizationProcessorChain

    public CodegenCustomizationProcessorChain(CodegenCustomizationProcessor... processors)

### Method Detail

#### preprocess

    public void preprocess(ServiceModel serviceModel)

Description copied from interface: `CodegenCustomizationProcessor`
Apply the customization by directly modifying the service model, before the intermediate model is built.

Specified by:
  `preprocess` in interface `CodegenCustomizationProcessor`

#### postprocess

    public void postprocess(IntermediateModel intermediateModel)

Description copied from interface: `CodegenCustomizationProcessor`
Apply the customization after the intermediate model is built

Specified by:
  `postprocess` in interface `CodegenCustomizationProcessor`